Package com.sas.lsaf.clinical.study

## Class StudyUpdateResult

- java.lang.Object
- - com.sas.lsaf.clinical.common.ClinicalUpdateResult
  - - com.sas.lsaf.clinical.study.StudyUpdateResult

- All Implemented Interfaces:
    `java.io.Serializable`

      public class StudyUpdateResult
      extends ClinicalUpdateResult

  The class that represents the results of performing an import to update a study. The results include the study for update, the validation results, and the path and source location of the validation report, if one was provided.
  Since:
    2.4
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StudyUpdateResult​(Study study, ValidationResult validationResult, java.lang.String validationReportPath, SourceLocation validationReportSourceLocation)` | It is not intended or recommended that the consumer of this API construct these objects.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Study` | `getStudy()` | Gets the study being updated.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class com.sas.lsaf.clinical.common.ClinicalUpdateResult

      `getValidationReportPath, getValidationReportSourceLocation, getValidationResult`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StudyUpdateResult

          public StudyUpdateResult​(Study study,
                                   ValidationResult validationResult,
                                   java.lang.String validationReportPath,
                                   SourceLocation validationReportSourceLocation)

      It is not intended or recommended that the consumer of this API construct these objects. They should only deal with the update results returned by the API.
      Parameters:
        `study` - The study being updated.
        `validationResult` - The validation results of performing a clinical import.
        `validationReportPath` - The path of the validation report, if provided.
        `validationReportSourceLocation` - The source location (repository or workspace) of the validation report, if a validation path was provided. Otherwise, null.

  - ### Method Detail

    - #### getStudy

          public Study getStudy()

      Gets the study being updated.
      Returns:
        The study being updated.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `ClinicalUpdateResult`